petsc-3.4.2 2013-07-02

# KSPSTCGSetRadius

Sets the radius of the trust region.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSTCGSetRadius(KSP ksp, PetscReal radius)

Logically Collective on KSP

### Input Parameters

| ksp | - the iterative context
| radius | - the trust region radius (Infinity is the default)

### Options Database Key

-ksp_stcg_radius <r> -

### Keywords

KSP, STCG, set, trust region radius

Level:advanced
Location:src/ksp/ksp/impls/cg/stcg/stcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages